<?php declare(strict_types=1);

namespace App\Services\Role;

use App\Models\Role;

final readonly class RoleCommandHandler
{
    public function handleStore(array $data): Role
    {
        return Role::create($data);
    }

    public function handleUpdate(Role $role, array $data): Role
    {
        $role->update($data);
        $role->touch();

        return $role;
    }

    public function handleDestroy(Role $role): void
    {
        $role->delete();
    }
}
